This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 717989

Summary: [kwin] window manager woes, toolbars flash with Focus Strictly Under Mouse using KDE
Product: [Fedora] Fedora Reporter: Phil Smith <pjs1>
Component: libreofficeAssignee: Lukáš Tinkl <ltinkl>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: caolanm, dtardon, jgrulich, ltinkl, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 12:59:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Phil Smith 2011-06-30 11:38:16 EDT
Description of problem:
The pop-up toolbars windows in LibreOffice's writer appear to "flash" very fast when using KDE with "Focus strictly under mouse".
With "Focus under mouse" they are OK.


Version-Release number of selected component (if applicable):
libreoffice-writer-3.3.3.1-1.fc15.x86_64
kdebase-4.6.3-1.fc15.x86_64


How reproducible:
Always


Steps to Reproduce:
1. start Fedora 15 with KDE
2. f->System Settings->Window behaviour->Window behaviour->Focus->Policy->Focus Strictly Under Mouse
3. start LibreOffice writer
4. Insert table (using default parameters) into new empty document
5. Click in the table
6. Mouse over toolbar when Table toolbar window appears
  
Actual results:
Toolbar flashes almost uncontrollably.

Expected results:
Toolbar behaves as with "Focus under mouse".


Additional info:
Same problem in Fedora 14.
Comment 1 Caolan McNamara 2011-06-30 11:51:49 EDT
windowmanager bugs are a massive time sink
Comment 2 Caolan McNamara 2011-08-31 05:07:58 EDT
hmm, is this with or without libreoffice-kde installed ?

caolanm->ltinkl: could you have a look at this ?
Comment 3 Lukáš Tinkl 2011-08-31 06:58:00 EDT
I can reproduce that... I'll try to poke upstream KWin maintainers if they have an idea what could be the problem
Comment 4 Caolan McNamara 2011-08-31 07:07:19 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=506984 is probably unrelated, but it has a standalone demo https://bugzilla.redhat.com/attachment.cgi?id=350265 of *that* problem anyway, which might be useful in creating a standalone test-case.
Comment 5 Fedora End Of Life 2012-08-07 12:59:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping